* {
  font-family: "Quattrocento Sans", sans-serif;
  margin: 0;
  padding: 0;
  /* box-sizing: border-box;  */
}

/* Remove default margin/padding from the body, which often causes the gap */
body  {
  margin: 0;
  padding: 0;
    min-height: 100vh;
  display: flex;
  flex-direction: column;
   background: linear-gradient(
    to bottom,
    #ffffff,
    #f9f9f9 65%,
    rgba(0, 0, 0, 0.4) 80%,
    rgba(0, 0, 0, 0.8) 100%
  );
}

/* NAVABR STYLE  */

.nav {
   z-index: 3;
    position: fixed;
    font-family: Arial, Helvetica, sans-serif;
    box-sizing: border-box;
    padding: 1rem 16px 1rem 16px;
    width: 100%;
    height: 65px;
    align-items: center;
    align-content: center;
    transition: all 0.5s ease;
    justify-content: space-between;
    top: 0;
    left: 0;
}

#nav.scrolled {
  /* background: linear-gradient(rgba(172, 172, 172, 0.780), rgba(21, 21, 21, 0.700)); */
  background: rgba(17, 17, 17, 0.3);
  backdrop-filter: blur(16px);
}

.nav-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.nav-left-section {
  padding-right: 2rem;
}

.nav-right-section ul {
  display: flex;
  flex-direction: row;
  list-style: none;
  font-size: 20px;
}

.nav_right-list li {
  font-weight: bold;
  padding: 0rem 1rem;
}

.list_item:hover {
  transform: scale(1.12);
  transition: all 0.3s ease;
}

/* Force black nav links only on this page */
/* .nav .nav_right-list li .list_item a {
  color: black !important;
} */
.list_item a {
    text-decoration: none;
    color: rgb(0, 0, 0) !important;
font-weight: 900 !important;
font-size: 22px;
}
.list_item a:hover {
  border-radius: 2px;
  border-bottom: 3px solid transparent;
  border-image: linear-gradient(105deg, #6666FF, #FF4750, #6666FF) 1;
  transition: all 0.3s ease;
}
/* NAVBAR STYLE END */

/* MAIN SECTION */
.projects-section {
  text-align: center;
  padding: 8rem 2rem 6rem;
 
  flex: 1;
}

.projects-heading {
  font-size: 2rem;
  font-weight: 700;
  color: #5f5f5f;
  margin-bottom: 4rem;
  font-family: Arial, Helvetica, sans-serif;
}

/* MAIN SECTION */

.projects-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 8rem;
}

.project {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  width: 600px;
}

.project-image {
  /* z-index: 9999 ; */
  height: 400px;
  width: 90%;
  object-fit: contain;
  transition: transform 0.3s ease;
  filter: drop-shadow(0 3px 5px rgba(0, 0, 0, 0.1));
}
.img2{
  width: 95%;
}
.project-image:hover {
  transform: scale(1.05);
}

.project-title {
  /* margin-top: 1.2rem; */
  font-size: 4rem;
  font-weight: 900;
  /* letter-spacing: 1px; */
  /* font-family: Arial, Helvetica, sans-serif; */
}

.project-title.red {
color: transparent;
background: linear-gradient(to right, #FF4750 75%, #ffcccc);

    /* Clip the background to the shape of the text */
    -webkit-background-clip: text;
    /* For WebKit browsers like Chrome and Safari */
    background-clip: text;
    /* Make the text transparent so the background can show through */
    -webkit-text-fill-color: transparent;
    /* For WebKit browsers */
    color: transparent;
}

.project-title.blue {
background: linear-gradient(90deg, #5555fd, #ad94ff);
-webkit-background-clip: text;
color: transparent;



    /* Clip the background to the shape of the text */
    -webkit-background-clip: text;
    /* For WebKit browsers like Chrome and Safari */
    background-clip: text;
    /* Make the text transparent so the background can show through */
    -webkit-text-fill-color: transparent;
    /* For WebKit browsers */
    color: transparent;
}

/* FOOTER STYLE */
footer {
  margin-top: auto;
  font-family: Arial, Helvetica, sans-serif;
  border-top: 3px solid transparent;
  border-image: linear-gradient(to right, #D2005A, #6666FF) 1;
}

.footer-container {
   min-height: 40px ;
   /* box-sizing: border-box; */
    padding: 2rem;
    color: white;
    background-color: rgb(0, 0, 0);
    display: grid;
    align-items: center;
    align-content: center;
    grid-template-columns: 1fr 2fr 1fr;
    grid-template-rows: auto auto;
    grid-template-areas:
        "logo menu copyright"
        "logo socials copyright";
}

.logo {
  grid-area: logo;
}

.menu {
  grid-area: menu;
}

.menu ul,
.socials ul {
  font-size: 18px;
  justify-content: center;
  list-style: none;
  display: flex;
  flex-direction: row;
}

.menu ul {
  gap: 4rem;
  justify-content: space-around;
}

.menu-item a {
  text-decoration: none;
  color: rgb(212, 212, 212);
}

.menu-item:hover,
.socials-items:hover {
  transform: scale(1.12);
  transition: all 0.2s ease;
}

.socials ul {
  gap: 2rem;
}

.socials {
  grid-area: socials;
  align-items: center;
  padding: 1rem;
}

.socials-items img {
  width: 24px;
  height: 24px;
  
}
.socials-items img:hover{
  filter: brightness(10);
   transform: scale(1.2);
    transition: all 0.2s ease;
}

.copyright {
  color: rgb(212, 212, 212);
  padding: 1.2rem;
  grid-area: copyright;
  text-align: center;
  font-size: 12px;
  justify-self: end;
  align-self: flex-start;
}
/* FOOTER STYLE END */


/* ===================================== */
/* FOOTER MOBILE (same as home page)     */
/* ===================================== */
@media (max-width: 768px) {
  .project-image{
    height: auto;
  }
  .img2{
    width: 90%;
  }
  .projects-heading{
    margin-bottom: 7rem;
  }
  .project{
    gap: 3rem;
    text-align: center;
  }
  .project h2{
    text-align: center;
  }

  footer {
    width: 100%;
    overflow-x: hidden;
    box-sizing: border-box;
  }

  .footer-container {
    padding: 10px;
    height: 25vh;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    grid-template-rows: 3fr 1.5fr 3fr;
    grid-template-areas:
      "logo logo logo logo logo"
      "socials socials socials socials socials"
      "copyright copyright copyright copyright copyright";
    justify-content: center;
    align-items: center;
    justify-items: center;
    gap: 10px;
  }

  .logo {
    grid-area: logo;
  }

  .socials {
    grid-area: socials;
    justify-self: center;
    align-self: center;
  }

.socials ul {
    padding: 0;
    gap: 1.5rem;
      display: flex;
        justify-content: center ;
  }
  .copyright {
    grid-area: copyright;
    justify-self: center;
    padding: 0;
  }
}
